com.google.common.util.concurrent

## Class UncaughtExceptionHandlers

- java.lang.Object
- - com.google.common.util.concurrent.UncaughtExceptionHandlers

-     public final class UncaughtExceptionHandlers
      extends java.lang.Object

  Factories for `Thread.UncaughtExceptionHandler` instances.
  Since:
    8.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Thread.UncaughtExceptionHandler` | `systemExit()` Returns an exception handler that exits the system.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### systemExit

          public static java.lang.Thread.UncaughtExceptionHandler systemExit()

      Returns an exception handler that exits the system. This is particularly useful for the main thread, which may start up other, non-daemon threads, but fail to fully initialize the application successfully.

      Example usage:

          public static void main(String[] args) {
             Thread.currentThread().setUncaughtExceptionHandler(UncaughtExceptionHandlers.systemExit());
             ...

      The returned handler logs any exception at severity `SEVERE` and then shuts down the process with an exit status of 1, indicating abnormal termination.